org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.describe_schema_versions<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.describe_schema_versions_args,java.util.Map<java.lang.String,java.util.List<java.lang.String>>>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.describe_schema_versions<I>

Enclosing class:
  Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

    public static class Cassandra.AsyncProcessor.describe_schema_versions<I extends Cassandra.AsyncIface>
    extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.describe_schema_versions_args,java.util.Map<java.lang.String,java.util.List<java.lang.String>>>

### Constructor Summary

Constructors
Constructor and Description
`describe_schema_versions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Cassandra.describe_schema_versions_args` `getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<java.util.Map<java.lang.String,java.util.List<java.lang.String>>>` `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean` `isOneway()`
`void` `start(I iface, Cassandra.describe_schema_versions_args args, org.apache.thrift.async.AsyncMethodCallback<java.util.Map<java.lang.String,java.util.List<java.lang.String>>> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### describe_schema_versions

    public describe_schema_versions()

### Method Detail

#### getEmptyArgsInstance

    public Cassandra.describe_schema_versions_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_schema_versions_args,java.util.Map<java.lang.String,java.util.List<java.lang.String>>>`

#### getResultHandler

    public org.apache.thrift.async.AsyncMethodCallback<java.util.Map<java.lang.String,java.util.List<java.lang.String>>> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                                                          int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_schema_versions_args,java.util.Map<java.lang.String,java.util.List<java.lang.String>>>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_schema_versions_args,java.util.Map<java.lang.String,java.util.List<java.lang.String>>>`

#### start

    public void start(I iface,
                      Cassandra.describe_schema_versions_args args,
                      org.apache.thrift.async.AsyncMethodCallback<java.util.Map<java.lang.String,java.util.List<java.lang.String>>> resultHandler)
               throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_schema_versions_args,java.util.Map<java.lang.String,java.util.List<java.lang.String>>>`
Throws:
  `org.apache.thrift.TException`